︠19f1766a-570d-4e67-be0c-d93e3b287480i︠
%md
# Posets in Sage - An Introduction

## Math 737 - Lab 1

︡8aac881c-2290-458e-828d-bec8d6058ec7︡{"done":true,"md":"# Posets in Sage - An Introduction\n\n## Math 737 - Lab 1"}
︠c5d9b756-6d9d-47ba-ac48-8038b19da1a3i︠
%md
## First define a poset. 

### Make a list of the elements of your poset, then a list of the covering relations between poset element.

### Evaluate the cell below by putting your cursor in the block and then pressing shift + enter
︡0bb3fcd0-b3e0-4fb3-92c2-0648b586bd3f︡{"done":true,"md":"## First define a poset. \n\n### Make a list of the elements of your poset, then a list of the covering relations between poset element.\n\n### Evaluate the cell below by putting your cursor in the block and then pressing shift + enter"}
︠e16bfa2e-f660-4465-83d7-af56c969ffcfs︠
elem = [1,2,3,4,5,6]
rels = [[1,2],[2,3],[4,5],[5,6],[1,4],[2,5],[3,6]]
Q = Poset((elem,rels))
Q.plot()
︡5b752245-44b8-4d18-96cf-1301bf42db7b︡{"file":{"filename":"/tmp/tmpji3l5awx/tmp_5u_6ulvq.svg","show":true,"text":null,"uuid":"e1d8d433-58bf-4122-9407-9032f557775b"},"once":false}︡{"done":true}
︠f13d1cc5-01a4-4c2a-af64-30b0e98518fai︠
%md
## You can also make a random poset.

### Evaluate the cell below multiple times to see multiple random posets of 7 elements.
︡a4a7041c-eb19-4fc9-9ae6-2e0da43c5959︡{"done":true,"md":"## You can also make a random poset.\n\n### Evaluate the cell below multiple times to see multiple random posets of 7 elements."}
︠b753460b-4a3c-46c7-8dd0-cd6b2a5f564fso︠
myposet = Posets(7).random_element()
plot(myposet)
︡06fdf95f-1cf8-4382-a2a7-6973dbe8ca96︡{"file":{"filename":"/home/user/.sage/temp/project-a1ee9a2a-806b-47e9-a9e0-4f3f826929de/54779/tmp_gT17GM.svg","show":true,"text":null,"uuid":"ae792cdf-3689-4da2-a3c7-540b661bb706"},"once":false}︡{"done":true}
︠3ebcf61d-bb3f-44ba-a509-f13180d5bcefi︠
%md
### Exercise 1: Make some of the example posets P, Q, R, S, T, N, from our last class. We already made Q above.
︡8442272d-a2b2-4994-9ea4-1ff315ae9347︡{"done":true,"md":"### Exercise 1: Make some of the example posets P, Q, R, S, T, N, from our last class. We already made Q above."}
︠43a3a197-386c-4842-9f6f-55392e1c07bb︠

︡dfaea953-62ff-47d4-ba02-148491278041︡
︠4d853e95-392c-496a-acc8-470916e3b504i︠
%md
## Let's see what Sage can do with a poset.
### Type the name of your poset, then type . and shift+enter. Scroll through the commands until you find one you recognize. Run a command; you likely need to add () at the end to make it work.
### To access the documentation for a function, type the function with no () and put ? to see the documentation, and ?? to see the documentation and code
︡f06ff6d6-599e-48ba-81d2-b68d1a96e987︡{"done":true,"md":"## Let's see what Sage can do with a poset.\n### Type the name of your poset, then type . and shift+enter. Scroll through the commands until you find one you recognize. Run a command; you likely need to add () at the end to make it work.\n### To access the documentation for a function, type the function with no () and put ? to see the documentation, and ?? to see the documentation and code"}
︠2a29758a-ed6b-4ee8-aa60-ac8e91b4b045︠

︡3544f1d7-fd59-48da-be88-3e7d1728d8e0︡
︠72832ff3-4fb9-49ca-b88c-c00220eddcabi︠
%md
### Exercise 2: Use Sage to verify your answers from yesterday's class. You may need to access the documentation to see what the function is actually doing.
︡d95b6b31-e2d4-4d17-85a6-d46c004df9b3︡{"done":true,"md":"### Exercise 2: Use Sage to verify your answers from yesterday's class. You may need to access the documentation to see what the function is actually doing."}
︠aa77db19-e612-426e-95f7-e8035cb5daaa︠

︡73b3e6dc-0584-4772-ba66-7e45de7bf69d︡
︠7036822c-2aec-4e43-9e51-cbfb1ee39820i︠
%md
### The following function is code for the rank generating function of a poset P. It will not work if your poset does not have a rank function.
︡0e257a44-5e5e-4c85-9301-9ee8cf6584d9︡{"done":true,"md":"### The following function is code for the rank generating function of a poset P. It will not work if your poset does not have a rank function."}
︠2118ed28-7cdd-4a4e-8aee-6284c6007696s︠
def rank_generating_function(P):
    f = P.rank_function()
    rk = P.rank()
    list_of_ranks = [f(i) for i in P]
    R.<x> = PolynomialRing(QQ)
    rgf = 0
    for elem in list_of_ranks:
        rgf += x^elem
    return rgf
︡c31c82c5-4472-420b-a5fd-478280bace8b︡{"done":true}{"done":true}︡
︠5c8ac71c-df30-4e02-a00b-5635c04b6786i︠
%md
### An order ideal is a subset of poset elements that is closed downward.

#### Let's make a random order ideal, using the code below. The green elements are the order ideal. The red elements are an order filter.
︡28ad787d-7911-40a4-ae5c-a90c569397a4︡{"done":true,"md":"### An order ideal is a subset of poset elements that is closed downward.\n\n#### Let's make a random order ideal, using the code below. The green elements are the order ideal. The red elements are an order filter."}
︠91bb45bc-6ceb-4ed2-84a5-fc9630d4edd2s︠
oi = P.random_order_ideal()
list(oi)
P.order_ideal_plot(oi)
︡13cf6916-abb2-4354-9c48-f23364932be5︡{"stderr":"Error in lines 1-1\nTraceback (most recent call last):\n  File \"/cocalc/lib/python3.11/site-packages/smc_sagews/sage_server.py\", line 1244, in execute\n    exec(\n  File \"\", line 1, in <module>\nNameError: name 'P' is not defined\n"}︡{"done":true}
︠38578901-6830-4beb-bafb-f0cf3f900c27i︠
%md
## Here is one of my favorite posets: the triangle 
︡b3985aaf-7456-4d26-b40a-58266e9f9621︡{"done":true,"md":"## Here is one of my favorite posets: the triangle \n\n### Evaluate the following cells to see some ways to plot posets"}
︠967fb6de-e351-44bf-84f2-778be5863683︠

︡1cfc905b-e7eb-4ad0-9d0c-7a3e7c1e524c︡
︠527901b5-341d-4b8a-956b-734d6781b4ees︠
elemP7 = [11, 12, 13, 14, 15, 16, 17, 21, 22, 23, 24, 25, 26, 31, 32, 33, 34, 35, 41, 42, 43, 44, 51, 52, 53, 61, 62, 71]
relP7 = [[11,21],[12, 21],[12, 22],[13, 22],[13, 23],[14, 23],[14, 24],[15,24],[15,25],[16,25],[16,26],[17,26],[21,31],[22,31],[22,32],[23,32],[23,33],[24,33],[24,34],[25,34],[25,35],[26,35],[31,41],[32,41],[32,42],[33,42],[33,43],[34,43],[34,44],[35,44],[41,51],[42,51],[42,52],[43,52],[43,53],[44,53],[51,61],[52,61],[52,62],[52,62],[53,62],[61,71],[62,71]]
P7 = Poset((elemP7,relP7))
︡3e8e9e50-7882-472b-aff8-0fad1849ce67︡{"done":true}
︠8e6308c5-4cd2-4618-80d4-a80b5998cfa5i︠
%md
## Evaluate the following cells to see some ways to plot posets
︡54baf7aa-1e38-4dae-8a4b-fc213fc879ed︡{"done":true,"md":"## Evaluate the following cells to see some ways to plot posets"}
︠ba8afe40-aa71-46a4-87b8-4da98725869ci︠
%md
### The normal way
︡7996e664-165f-4465-959f-e05e97405c6b︡{"done":true,"md":"### The normal way"}
︠a53311cb-42b5-40a2-83a7-c4bbe20ea80aso︠
plot(P7)
︡6e863717-441d-47f8-a90f-c2f5d44db663︡{"file":{"filename":"/home/user/.sage/temp/project-a1ee9a2a-806b-47e9-a9e0-4f3f826929de/79806/tmp_t6wgAa.svg","show":true,"text":null,"uuid":"ea4d46df-81c3-494b-9490-17909bfaee8e"},"once":false}︡{"done":true}
︠1aa81863-4df9-46c3-9812-1c3c693410dci︠
%md
### The pretty way
︡b5b18f9d-3407-4913-9bd1-79ab515c8ba3︡{"done":true,"md":"### The pretty way"}
︠75e96101-7ea8-4551-895d-90f0617e927aso︠
show(P7)
︡ced320eb-1957-4748-aed9-7d3a8c090901︡{"file":{"filename":"/tmp/tmpGBa9X2.png","show":true,"text":null,"uuid":"933a6bcd-3c26-4977-999a-76d3913044ee"},"once":false}︡{"done":true}
︠b97f2b20-6640-4eab-9939-694f952ddc06i︠
%md
### Latex code for putting in your paper
︡29eef1c0-43aa-44a8-8d66-6b5f0a0ea7e9︡{"done":true,"md":"### Latex code for putting in your paper"}
︠b72878a8-3667-44ba-8c51-315892947d7eso︠
latex(P7)
︡06f3abd9-16ba-4379-b803-7740b00b588d︡{"stdout":"\\begin{tikzpicture}[>=latex,line join=bevel,]\n%%\n\\node (node_26) at (128.5bp,251.5bp) [draw,draw=none] {$62$};\n  \\node (node_27) at (110.5bp,300.5bp) [draw,draw=none] {$71$};\n  \\node (node_24) at (146.5bp,202.5bp) [draw,draw=none] {$53$};\n  \\node (node_25) at (93.5bp,251.5bp) [draw,draw=none] {$61$};\n  \\node (node_22) at (76.5bp,202.5bp) [draw,draw=none] {$51$};\n  \\node (node_23) at (111.5bp,202.5bp) [draw,draw=none] {$52$};\n  \\node (node_20) at (129.5bp,153.5bp) [draw,draw=none] {$43$};\n  \\node (node_21) at (164.5bp,153.5bp) [draw,draw=none] {$44$};\n  \\node (node_9) at (95.5bp,55.5bp) [draw,draw=none] {$23$};\n  \\node (node_8) at (60.5bp,55.5bp) [draw,draw=none] {$22$};\n  \\node (node_7) at (25.5bp,55.5bp) [draw,draw=none] {$21$};\n  \\node (node_6) at (218.5bp,6.5bp) [draw,draw=none] {$17$};\n  \\node (node_5) at (183.5bp,6.5bp) [draw,draw=none] {$16$};\n  \\node (node_4) at (148.5bp,6.5bp) [draw,draw=none] {$15$};\n  \\node (node_3) at (113.5bp,6.5bp) [draw,draw=none] {$14$};\n  \\node (node_2) at (78.5bp,6.5bp) [draw,draw=none] {$13$};\n  \\node (node_1) at (43.5bp,6.5bp) [draw,draw=none] {$12$};\n  \\node (node_0) at (8.5bp,6.5bp) [draw,draw=none] {$11$};\n  \\node (node_19) at (94.5bp,153.5bp) [draw,draw=none] {$42$};\n  \\node (node_18) at (59.5bp,153.5bp) [draw,draw=none] {$41$};\n  \\node (node_17) at (182.5bp,104.5bp) [draw,draw=none] {$35$};\n  \\node (node_16) at (147.5bp,104.5bp) [draw,draw=none] {$34$};\n  \\node (node_15) at (112.5bp,104.5bp) [draw,draw=none] {$33$};\n  \\node (node_14) at (77.5bp,104.5bp) [draw,draw=none] {$32$};\n  \\node (node_13) at (42.5bp,104.5bp) [draw,draw=none] {$31$};\n  \\node (node_12) at (200.5bp,55.5bp) [draw,draw=none] {$26$};\n  \\node (node_11) at (165.5bp,55.5bp) [draw,draw=none] {$25$};\n  \\node (node_10) at (130.5bp,55.5bp) [draw,draw=none] {$24$};\n  \\draw [black,->] (node_18) ..controls (64.173bp,166.97bp) and (67.775bp,177.35bp)  .. (node_22);\n  \\draw [black,->] (node_6) ..controls (213.55bp,19.969bp) and (209.74bp,30.353bp)  .. (node_12);\n  \\draw [black,->] (node_3) ..controls (118.17bp,19.969bp) and (121.78bp,30.353bp)  .. (node_10);\n  \\draw [black,->] (node_23) ..controls (116.17bp,215.97bp) and (119.78bp,226.35bp)  .. (node_26);\n  \\draw [black,->] (node_7) ..controls (30.173bp,68.969bp) and (33.775bp,79.353bp)  .. (node_13);\n  \\draw [black,->] (node_16) ..controls (142.55bp,117.97bp) and (138.74bp,128.35bp)  .. (node_20);\n  \\draw [black,->] (node_9) ..controls (100.17bp,68.969bp) and (103.78bp,79.353bp)  .. (node_15);\n  \\draw [black,->] (node_10) ..controls (125.55bp,68.969bp) and (121.74bp,79.353bp)  .. (node_15);\n  \\draw [black,->] (node_5) ..controls (178.55bp,19.969bp) and (174.74bp,30.353bp)  .. (node_11);\n  \\draw [black,->] (node_0) ..controls (13.173bp,19.969bp) and (16.775bp,30.353bp)  .. (node_7);\n  \\draw [black,->] (node_12) ..controls (195.55bp,68.969bp) and (191.74bp,79.353bp)  .. (node_17);\n  \\draw [black,->] (node_4) ..controls (143.55bp,19.969bp) and (139.74bp,30.353bp)  .. (node_10);\n  \\draw [black,->] (node_15) ..controls (117.17bp,117.97bp) and (120.78bp,128.35bp)  .. (node_20);\n  \\draw [black,->] (node_26) ..controls (123.55bp,264.97bp) and (119.74bp,275.35bp)  .. (node_27);\n  \\draw [black,->] (node_9) ..controls (90.552bp,68.969bp) and (86.738bp,79.353bp)  .. (node_14);\n  \\draw [black,->] (node_3) ..controls (108.55bp,19.969bp) and (104.74bp,30.353bp)  .. (node_9);\n  \\draw [black,->] (node_24) ..controls (141.55bp,215.97bp) and (137.74bp,226.35bp)  .. (node_26);\n  \\draw [black,->] (node_2) ..controls (73.552bp,19.969bp) and (69.738bp,30.353bp)  .. (node_8);\n  \\draw [black,->] (node_4) ..controls (153.17bp,19.969bp) and (156.78bp,30.353bp)  .. (node_11);\n  \\draw [black,->] (node_10) ..controls (135.17bp,68.969bp) and (138.78bp,79.353bp)  .. (node_16);\n  \\draw [black,->] (node_11) ..controls (170.17bp,68.969bp) and (173.78bp,79.353bp)  .. (node_17);\n  \\draw [black,->] (node_20) ..controls (124.55bp,166.97bp) and (120.74bp,177.35bp)  .. (node_23);\n  \\draw [black,->] (node_23) ..controls (106.55bp,215.97bp) and (102.74bp,226.35bp)  .. (node_25);\n  \\draw [black,->] (node_15) ..controls (107.55bp,117.97bp) and (103.74bp,128.35bp)  .. (node_19);\n  \\draw [black,->] (node_13) ..controls (47.173bp,117.97bp) and (50.775bp,128.35bp)  .. (node_18);\n  \\draw [black,->] (node_25) ..controls (98.173bp,264.97bp) and (101.78bp,275.35bp)  .. (node_27);\n  \\draw [black,->] (node_16) ..controls (152.17bp,117.97bp) and (155.78bp,128.35bp)  .. (node_21);\n  \\draw [black,->] (node_2) ..controls (83.173bp,19.969bp) and (86.775bp,30.353bp)  .. (node_9);\n  \\draw [black,->] (node_19) ..controls (89.552bp,166.97bp) and (85.738bp,177.35bp)  .. (node_22);\n  \\draw [black,->] (node_22) ..controls (81.173bp,215.97bp) and (84.775bp,226.35bp)  .. (node_25);\n  \\draw [black,->] (node_11) ..controls (160.55bp,68.969bp) and (156.74bp,79.353bp)  .. (node_16);\n  \\draw [black,->] (node_14) ..controls (72.552bp,117.97bp) and (68.738bp,128.35bp)  .. (node_18);\n  \\draw [black,->] (node_17) ..controls (177.55bp,117.97bp) and (173.74bp,128.35bp)  .. (node_21);\n  \\draw [black,->] (node_8) ..controls (55.552bp,68.969bp) and (51.738bp,79.353bp)  .. (node_13);\n  \\draw [black,->] (node_5) ..controls (188.17bp,19.969bp) and (191.78bp,30.353bp)  .. (node_12);\n  \\draw [black,->] (node_1) ..controls (48.173bp,19.969bp) and (51.775bp,30.353bp)  .. (node_8);\n  \\draw [black,->] (node_19) ..controls (99.173bp,166.97bp) and (102.78bp,177.35bp)  .. (node_23);\n  \\draw [black,->] (node_20) ..controls (134.17bp,166.97bp) and (137.78bp,177.35bp)  .. (node_24);\n  \\draw [black,->] (node_21) ..controls (159.55bp,166.97bp) and (155.74bp,177.35bp)  .. (node_24);\n  \\draw [black,->] (node_8) ..controls (65.173bp,68.969bp) and (68.775bp,79.353bp)  .. (node_14);\n  \\draw [black,->] (node_1) ..controls (38.552bp,19.969bp) and (34.738bp,30.353bp)  .. (node_7);\n  \\draw [black,->] (node_14) ..controls (82.173bp,117.97bp) and (85.775bp,128.35bp)  .. (node_19);\n%\n\\end{tikzpicture}"}︡{"stdout":"\n"}︡{"done":true}
︠ea1b5de5-764a-4a27-b719-ba1b42c8583fi︠
%md
### The boingy way
︡b77f4c44-c0a2-4397-9b68-5db2dce99f02︡{"done":true,"md":"### The boingy way"}
︠050b2492-2fe2-4d94-aa92-357a28b63159so︠
H7 = P7.hasse_diagram()
show(H7)
︡39cbbe55-ee6c-48bd-b910-f5fa65dc4bfa︡{"d3":{"data":{"charge":-120,"directed":true,"edge_labels":false,"edge_thickness":2,"gravity":0.04,"height":null,"link_distance":50,"link_strength":1,"links":[{"color":"#aaa","curve":0,"name":"","source":0,"strength":0,"target":7},{"color":"#aaa","curve":0,"name":"","source":1,"strength":0,"target":7},{"color":"#aaa","curve":0,"name":"","source":1,"strength":0,"target":8},{"color":"#aaa","curve":0,"name":"","source":2,"strength":0,"target":8},{"color":"#aaa","curve":0,"name":"","source":2,"strength":0,"target":9},{"color":"#aaa","curve":0,"name":"","source":3,"strength":0,"target":9},{"color":"#aaa","curve":0,"name":"","source":3,"strength":0,"target":10},{"color":"#aaa","curve":0,"name":"","source":4,"strength":0,"target":10},{"color":"#aaa","curve":0,"name":"","source":4,"strength":0,"target":11},{"color":"#aaa","curve":0,"name":"","source":5,"strength":0,"target":11},{"color":"#aaa","curve":0,"name":"","source":5,"strength":0,"target":12},{"color":"#aaa","curve":0,"name":"","source":6,"strength":0,"target":12},{"color":"#aaa","curve":0,"name":"","source":7,"strength":0,"target":13},{"color":"#aaa","curve":0,"name":"","source":8,"strength":0,"target":13},{"color":"#aaa","curve":0,"name":"","source":8,"strength":0,"target":14},{"color":"#aaa","curve":0,"name":"","source":9,"strength":0,"target":14},{"color":"#aaa","curve":0,"name":"","source":9,"strength":0,"target":15},{"color":"#aaa","curve":0,"name":"","source":10,"strength":0,"target":15},{"color":"#aaa","curve":0,"name":"","source":10,"strength":0,"target":16},{"color":"#aaa","curve":0,"name":"","source":11,"strength":0,"target":16},{"color":"#aaa","curve":0,"name":"","source":11,"strength":0,"target":17},{"color":"#aaa","curve":0,"name":"","source":12,"strength":0,"target":17},{"color":"#aaa","curve":0,"name":"","source":13,"strength":0,"target":18},{"color":"#aaa","curve":0,"name":"","source":14,"strength":0,"target":18},{"color":"#aaa","curve":0,"name":"","source":14,"strength":0,"target":19},{"color":"#aaa","curve":0,"name":"","source":15,"strength":0,"target":19},{"color":"#aaa","curve":0,"name":"","source":15,"strength":0,"target":20},{"color":"#aaa","curve":0,"name":"","source":16,"strength":0,"target":20},{"color":"#aaa","curve":0,"name":"","source":16,"strength":0,"target":21},{"color":"#aaa","curve":0,"name":"","source":17,"strength":0,"target":21},{"color":"#aaa","curve":0,"name":"","source":18,"strength":0,"target":22},{"color":"#aaa","curve":0,"name":"","source":19,"strength":0,"target":22},{"color":"#aaa","curve":0,"name":"","source":19,"strength":0,"target":23},{"color":"#aaa","curve":0,"name":"","source":20,"strength":0,"target":23},{"color":"#aaa","curve":0,"name":"","source":20,"strength":0,"target":24},{"color":"#aaa","curve":0,"name":"","source":21,"strength":0,"target":24},{"color":"#aaa","curve":0,"name":"","source":22,"strength":0,"target":25},{"color":"#aaa","curve":0,"name":"","source":23,"strength":0,"target":25},{"color":"#aaa","curve":0,"name":"","source":23,"strength":0,"target":26},{"color":"#aaa","curve":0,"name":"","source":24,"strength":0,"target":26},{"color":"#aaa","curve":0,"name":"","source":25,"strength":0,"target":27},{"color":"#aaa","curve":0,"name":"","source":26,"strength":0,"target":27}],"loops":[],"nodes":[{"group":"0","name":"11"},{"group":"0","name":"12"},{"group":"0","name":"13"},{"group":"0","name":"14"},{"group":"0","name":"15"},{"group":"0","name":"16"},{"group":"0","name":"17"},{"group":"0","name":"21"},{"group":"0","name":"22"},{"group":"0","name":"23"},{"group":"0","name":"24"},{"group":"0","name":"25"},{"group":"0","name":"26"},{"group":"0","name":"31"},{"group":"0","name":"32"},{"group":"0","name":"33"},{"group":"0","name":"34"},{"group":"0","name":"35"},{"group":"0","name":"41"},{"group":"0","name":"42"},{"group":"0","name":"43"},{"group":"0","name":"44"},{"group":"0","name":"51"},{"group":"0","name":"52"},{"group":"0","name":"53"},{"group":"0","name":"61"},{"group":"0","name":"62"},{"group":"0","name":"71"}],"pos":[],"vertex_labels":true,"vertex_size":7,"width":null},"viewer":"graph"}}︡{"done":true}
︠c18e325f-2498-480f-94af-a92dcc9a065di︠
%md
### The sticky way
︡42e9c067-0f41-43b7-b5ba-4929ae28db7f︡{"done":true,"md":"### The sticky way"}
︠69a59e4e-d070-400b-9fcf-07b6567f7b52so︠
H7.plot(save_pos=True)
show(H7)
︡b93f29a0-5bb7-4f64-a378-e827aca676a4︡{"file":{"filename":"/home/user/.sage/temp/project-a1ee9a2a-806b-47e9-a9e0-4f3f826929de/79806/tmp_a_hoqN.svg","show":true,"text":null,"uuid":"9b087d40-f9e6-4039-973c-db3ac3746ce9"},"once":false}︡{"d3":{"data":{"charge":0,"directed":true,"edge_labels":false,"edge_thickness":2,"gravity":0,"height":null,"link_distance":50,"link_strength":0,"links":[{"color":"#aaa","curve":0,"name":"","source":0,"strength":0,"target":7},{"color":"#aaa","curve":0,"name":"","source":1,"strength":0,"target":7},{"color":"#aaa","curve":0,"name":"","source":1,"strength":0,"target":8},{"color":"#aaa","curve":0,"name":"","source":2,"strength":0,"target":8},{"color":"#aaa","curve":0,"name":"","source":2,"strength":0,"target":9},{"color":"#aaa","curve":0,"name":"","source":3,"strength":0,"target":9},{"color":"#aaa","curve":0,"name":"","source":3,"strength":0,"target":10},{"color":"#aaa","curve":0,"name":"","source":4,"strength":0,"target":10},{"color":"#aaa","curve":0,"name":"","source":4,"strength":0,"target":11},{"color":"#aaa","curve":0,"name":"","source":5,"strength":0,"target":11},{"color":"#aaa","curve":0,"name":"","source":5,"strength":0,"target":12},{"color":"#aaa","curve":0,"name":"","source":6,"strength":0,"target":12},{"color":"#aaa","curve":0,"name":"","source":7,"strength":0,"target":13},{"color":"#aaa","curve":0,"name":"","source":8,"strength":0,"target":13},{"color":"#aaa","curve":0,"name":"","source":8,"strength":0,"target":14},{"color":"#aaa","curve":0,"name":"","source":9,"strength":0,"target":14},{"color":"#aaa","curve":0,"name":"","source":9,"strength":0,"target":15},{"color":"#aaa","curve":0,"name":"","source":10,"strength":0,"target":15},{"color":"#aaa","curve":0,"name":"","source":10,"strength":0,"target":16},{"color":"#aaa","curve":0,"name":"","source":11,"strength":0,"target":16},{"color":"#aaa","curve":0,"name":"","source":11,"strength":0,"target":17},{"color":"#aaa","curve":0,"name":"","source":12,"strength":0,"target":17},{"color":"#aaa","curve":0,"name":"","source":13,"strength":0,"target":18},{"color":"#aaa","curve":0,"name":"","source":14,"strength":0,"target":18},{"color":"#aaa","curve":0,"name":"","source":14,"strength":0,"target":19},{"color":"#aaa","curve":0,"name":"","source":15,"strength":0,"target":19},{"color":"#aaa","curve":0,"name":"","source":15,"strength":0,"target":20},{"color":"#aaa","curve":0,"name":"","source":16,"strength":0,"target":20},{"color":"#aaa","curve":0,"name":"","source":16,"strength":0,"target":21},{"color":"#aaa","curve":0,"name":"","source":17,"strength":0,"target":21},{"color":"#aaa","curve":0,"name":"","source":18,"strength":0,"target":22},{"color":"#aaa","curve":0,"name":"","source":19,"strength":0,"target":22},{"color":"#aaa","curve":0,"name":"","source":19,"strength":0,"target":23},{"color":"#aaa","curve":0,"name":"","source":20,"strength":0,"target":23},{"color":"#aaa","curve":0,"name":"","source":20,"strength":0,"target":24},{"color":"#aaa","curve":0,"name":"","source":21,"strength":0,"target":24},{"color":"#aaa","curve":0,"name":"","source":22,"strength":0,"target":25},{"color":"#aaa","curve":0,"name":"","source":23,"strength":0,"target":25},{"color":"#aaa","curve":0,"name":"","source":23,"strength":0,"target":26},{"color":"#aaa","curve":0,"name":"","source":24,"strength":0,"target":26},{"color":"#aaa","curve":0,"name":"","source":25,"strength":0,"target":27},{"color":"#aaa","curve":0,"name":"","source":26,"strength":0,"target":27}],"loops":[],"nodes":[{"group":"0","name":"11"},{"group":"0","name":"12"},{"group":"0","name":"13"},{"group":"0","name":"14"},{"group":"0","name":"15"},{"group":"0","name":"16"},{"group":"0","name":"17"},{"group":"0","name":"21"},{"group":"0","name":"22"},{"group":"0","name":"23"},{"group":"0","name":"24"},{"group":"0","name":"25"},{"group":"0","name":"26"},{"group":"0","name":"31"},{"group":"0","name":"32"},{"group":"0","name":"33"},{"group":"0","name":"34"},{"group":"0","name":"35"},{"group":"0","name":"41"},{"group":"0","name":"42"},{"group":"0","name":"43"},{"group":"0","name":"44"},{"group":"0","name":"51"},{"group":"0","name":"52"},{"group":"0","name":"53"},{"group":"0","name":"61"},{"group":"0","name":"62"},{"group":"0","name":"71"}],"pos":[[0.3542927160791315,-0.43752356585367347],[0.6659004754065957,-0.4360733749569347],[1.0098537628099558,-0.35296286416116135],[1.3364649938433752,-0.23847804364727268],[1.6575995167010347,-0.12617361382022785],[1.9500066723275264,0.03066781389888252],[2.2290335522131253,0.17687163058590474],[0.5382284029227054,-0.38179839734891674],[0.8277807954022207,-0.32217921292559487],[1.1396917272367715,-0.20848558079647808],[1.4676803130321032,-0.10372943447763344],[1.759488519300627,0.022488123090984486],[2.052105574627077,0.14567352907127043],[0.6783582988240793,-0.2528307735157138],[0.9511136678214529,-0.13676309644042936],[1.2615042834694494,-0.028579099594527663],[1.5578699107291145,0.08945586198599963],[1.8276313961084765,0.1676541000271616],[0.7988866618690629,-0.07827650049310474],[1.0641553090584965,0.0545337339978166],[1.354796432725762,0.17662432100538447],[1.6205155931002735,0.25892476081299054],[0.904323564688525,0.12007358013822894],[1.1647446722148516,0.25528326058592626],[1.4126937783382019,0.3508061725214767],[0.9921418923192595,0.3210280270905727],[1.2143892897072104,0.43592631055230574],[1.0631376870607432,0.4978423326667618]],"vertex_labels":true,"vertex_size":7,"width":null},"viewer":"graph"}}︡{"done":true}
︠6d384013-f32c-45f4-a6d8-64ee2e2d8ff8i︠
%md
### Exercise 3: Use these various plot methods on our example posets. Which plot method is your favorite?
︡52c0838d-a8e6-4d07-b869-802c111b373a︡{"done":true,"md":"### Exercise 3: Use these various plot methods on our example posets. Which plot method is your favorite?"}
︠78db3422-ad33-43a4-bee8-6eaec13fea96o︠



︡13211a30-fb3d-4261-9d53-9843588d280d︡
︠322da87c-d319-491c-a51b-d403e9bd4f39i︠
%md
### The reason the triangle poset is one of my favorite posets is that order ideals of the triangle poset are Dyck paths!
︡93522823-baed-4d72-a66d-89cd8049a41e︡{"done":true,"md":"### The reason the triangle poset is one of my favorite posets is that order ideals of the triangle poset are Dyck paths!"}
︠f841bc20-ba12-4348-8231-a2198aeeed54so︠
P7oi = P7.random_order_ideal()
P7.order_ideal_plot(P7oi)
︡20f54198-d394-41df-a678-56934503fb8b︡{"file":{"filename":"/home/user/.sage/temp/project-a1ee9a2a-806b-47e9-a9e0-4f3f826929de/54779/tmp_18pqwd.svg","show":true,"text":null,"uuid":"a93fca7e-a1e7-48de-a2e9-44b74c4ce3e8"},"once":false}︡{"done":true}
︠3663e66a-d866-46f4-8549-3c15f3d290feso︠
d = DyckWords(8).random_element()
plot(d)
︡126e5a05-7814-42e1-ae6d-e8f41bcfe682︡{"file":{"filename":"/home/user/.sage/temp/project-a1ee9a2a-806b-47e9-a9e0-4f3f826929de/54779/tmp_OuvPKz.svg","show":true,"text":null,"uuid":"30d95906-f789-4907-a4ce-ac10ad0c2716"},"once":false}︡{"done":true}
︠5db089ca-59bd-4fb7-b9a7-5fb168d54462i︠
%md
## We can use Sage to construct new posets from old
︡0562afe3-35af-4d99-a846-ea4eaf18da16︡{"done":true,"md":"## We can use Sage to construct new posets from old"}
︠ab4807e1-d210-4fa5-bdb5-a6c966fbf8dai︠
%md
### Exercise 4: Using our example posets P,Q,R,S,T,N, construct new posets as examples of the disjoint sum, ordinal sum, and direct (cartesian) product. Plot the new posets you create.
︡a2dc4915-4309-4d3e-8f4b-a821cea0e9d5︡{"done":true,"md":"### Exercise 4: Using our example posets P,Q,R,S,T,N, construct new posets as examples of the disjoint sum, ordinal sum, and direct (cartesian) product. Plot the new posets you create."}
︠4982b751-4379-47f6-8f20-f7893738a004︠

︠5e6b4a4d-f744-47d4-82f1-eefff11d1975︠

︠ff20ba09-9bff-46a9-95c8-04d852790865︠

︠5ce45d38-e915-4a4b-b1b0-b5a6d7abcdf1︠









